Bug 1324085 - clang -fstack-protector fails to link on ppc64/ppc64le
Summary: clang -fstack-protector fails to link on ppc64/ppc64le
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: llvm
Version: 24
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Stellard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-04-05 13:21 UTC by Ngo Than
Modified: 2017-08-02 11:55 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-02 11:55:33 UTC


Attachments (Terms of Use)

Description Ngo Than 2016-04-05 13:21:29 UTC
clang -fstack-protector fails to link on ppc64/ppc64le (undefined reference to `__stack_chk_guard')

estcase:
echo 'int main(){char s[10];}' > test.c

clang -fstack-protector a.c

/tmp/test1-e85314.o:(.toc+0x0): undefined reference to `__stack_chk_guard'

test with:
clang*-3.8.0-1.fc24
llvm*3.8.0-1.fc24

this issue causes the build failure in libclc in f24. For more info please take a lool at:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3279375

This issue is reported to upstream:
https://llvm.org/bugs/show_bug.cgi?id=26226

Comment 1 Dan Horák 2016-10-28 11:45:07 UTC
seems it's not a problem any more on s390x with clang-3.9.0-1.fc26.s390x

Comment 2 Fedora Admin XMLRPC Client 2017-05-04 13:57:21 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2017-07-25 20:28:51 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Dan Horák 2017-08-02 11:55:33 UTC
and also not a problem with clang-4.0.0-3.fc26.ppc64le, upstream bug is marked as resolved, closing


Note You need to log in before you can comment on or make changes to this bug.